#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <stdbool.h>

typedef struct
{
   char dept[31];
   int nbP;
   char respAd[31];
} Departement;

typedef struct maillonDept
{
   Departement d;
   struct maillonDept *suiv;

} MaillonDept,*ListeDept;

typedef struct
{
   char nom[31];
   ListeDept lDept;
} VilleIUT;

typedef struct
{
    char ville[31];
    char dep[31];
    int decisionResp;
    int decisionCand;
} Choix;


typedef struct
{
   int numeroC;
   char nom[31];
   char prenom[31];
   float notes[4];
   int nombreChoix;
   Choix **tchoix;
} Candidat;

Candidat ** chargementCandidats(int *tMax);
Candidat * lireCandidat(FILE *flot);
Choix * lireChoix(FILE *flot);
void afficherCandidat(Candidat *c);
void afficherChoix(Choix *c);
void afficherCandChoix(Candidat *tCand[],int tMax);
Candidat ** reallocation(Candidat *tCand[], int tMax);
Choix ** reallocation(Choix *tChoix[], int nbChoix);
void globale(void);